clear;
clc;
nm=10^(-9);
hba=6.63*10^(-34)/2/pi;
eV=1.6*10^(-19);
meV=1.6*10^(-22);
c=3*10^8;
strip1=121;
strip2=142;
%% background
sp2D_bg=loadSPE('600-900nm_ntk_20s_full_3uw_bg.SPE');
Int_bg2D=sp2D_bg.int'./sp2D_bg.expo_time;
%% load bunch of files
Files = dir('600-900nm_ntk_20s_full_3uw_sp.SPE');
  sp2D_gV=loadSPE([Files(1).name]);
  Int_com=zeros(length(sp2D_gV.wavelength),length(Files));
for iFile = 1:length(Files)
    sp2D_gV=loadSPE([Files(iFile).name]);
    t_grating=sp2D_gV.expo_time;
    w=sp2D_gV.wavelength;
    E=1240./w;

    pick=110:155; %%%change this value for the binning
    pickback=pick+60; %%background - might need to change
    Int=sp2D_gV.int';

    AA=Int(:,pick);
    BB=Int(:,pickback);
    Int_com(:,iFile)=(sum(AA,2)-sum(BB,2))/t_grating;

end
AA_bg=Int_bg2D(:,pick);BB_bg=Int_bg2D(:,pickback);
Int_bg=sum(AA_bg,2)-sum(BB_bg,2);
%%
figure(102);

BotDBR_expR=(Int_com(:,1))./Int_bg;
BotDBR_expE = E;
plot(BotDBR_expE,BotDBR_expR,'Linewidth',2,'color','r'); 

xlim([1.6,1.85]);

xlabel('Energy (ev)')
ylabel('R contrast')

set(gca,'FontSize',12,'fontWeight','normal')
set(findall(gcf,'type','text'),'FontSize',12,'fontWeight','normal')

