function [  ] = TMM( ni, nt, stack, polarization, lambda, theta, val_elec)



if length(theta)>1 && length(lambda)>1 %SWEEP LAMBDA AND THETA
    lambda_min = lambda(1);
    lambda_max = lambda(2);
    lambda_num = lambda(3);
    lambda_step = (lambda_max-lambda_min)/lambda_num;
    
    lambda_elec = 0;
    final_colorplot_R = [];
    final_colorplot_A = [];
    plotcount = 1;
    theta_min = theta(1);
    theta_max = theta(2);
    theta_num = theta(3);
    theta_step = (theta_max - theta_min)/theta_num;
    
    for theta0 = theta_min:theta_step:theta_max
        disp('Sweeping Lambda...')
        [R,T, I_elec, L_elec, t_elec, n_elec] = sweep_lambda(ni,nt,polarization, stack, lambda_min, lambda_max, lambda_step, theta0, lambda_elec);
        %plot_lambda(R,T,theta0,-1);
        final_colorplot_R(plotcount,:) =  R(:,2);
        final_colorplot_A(plotcount,:) =  1-(R(:,2) + T(:,2));
        plotcount = plotcount+1;
        disp(theta0);
    end
    figure;
    imagesc(linspace(180/pi*theta_min,180/pi*theta_max,theta_num),linspace(lambda_min,lambda_max,lambda_num),final_colorplot_R');
    ax = gca;
    ax.FontSize = 16;
    ax.FontWeight = 'bold';
    xlabel('Angle (Degrees)','FontSize',16,'FontWeight','bold');
    ylabel('\lambda [nm]','FontSize',16,'FontWeight','bold');
    title('Reflectance');
    
    figure;
    imagesc(linspace(180/pi*theta_min,180/pi*theta_max,theta_num),linspace(lambda_min,lambda_max,lambda_num),final_colorplot_A');
    ax = gca;
    ax.FontSize = 16;
    ax.FontWeight = 'bold';
    xlabel('Angle (Degrees)','FontSize',16,'FontWeight','bold');
    ylabel('\lambda [nm]','FontSize',16,'FontWeight','bold');
    title('Absorbance');
    assignin('base', 'A', final_colorplot_A');
    
elseif length(theta)==1 && length(lambda)>1 %SWEEP LAMBDA
    lambda_min = lambda(1);
    lambda_max = lambda(2);
    lambda_step = (lambda(2)-lambda(1))/lambda(3);
    lambda_elec = val_elec;
    theta0 = theta;
    disp('Sweeping Lambda...')
    [R,T, I_elec, L_elec, t_elec, n_elec] = sweep_lambda(ni,nt,polarization, stack, lambda_min, lambda_max, lambda_step, theta0, lambda_elec);
    plot_lambda(R,T,theta0,-1);
    if val_elec > 0
        disp('Computing Electric Field...')
        plot_elec(I_elec, L_elec, t_elec, n_elec, lambda_elec, ni, theta0);
    end
elseif length(theta)>1 && length(lambda)==1 %SWEEP THETA
    theta_min = theta(1);
    theta_max = theta(2);
    theta_step = (theta(2)-theta(1))/theta(3);
    lambda0 = lambda;
    theta_elec = val_elec;
    disp('Sweeping Theta...')
    [R,T, I_elec, L_elec, t_elec, n_elec] = sweep_theta(ni,nt,polarization, stack, theta_min, theta_max, theta_step, lambda0, theta_elec);
    figure;plot(T(:,1),abs(T(:,2)));
    plot_lambda(R,T,-1,lambda0);
    if t_elec ~= 0
        disp('Computing Electric Field...')
        E = plot_elec(I_elec, L_elec, t_elec, n_elec, lambda0, ni, theta_elec);
    end
else
    error('Please specify the sweep type correctly!');
end

end

