function [ t_vals, n_vals, number_of_unit_cells ]...
    = str_to_stack_params( str_in, lambda )
%str_to_stack_params convert parameter string to numerical values
%   Feed it string of the form (type)_(lambda_DBR or t_vals)_(n_vals)_(number_of_unit_cells)
%   which are then turned into their respective numbers based on the type.
split_str = strsplit(str_in,'_');
    if length(split_str) ~= 4
        error('Please check that the stack variable has the proper format (FILENAMES MUST NOT CONTAIN UNDERSCORES)! (Incorrect number of entries)');
    end

static_lambda = true; 
    
if ~isempty(findstr(split_str{3},'.txt'))
    static_lambda = false;
    files = strsplit(split_str{3},']');
    files = files{1};
    files = strsplit(files,'[');
    files = files{2};
    files = strsplit(files,',');
    n_vals = get_n_lambda(files, lambda);
end
    
if strcmp(str_in(1),'D') %DBR Layer****************************************
    stack_type = 'D';
    lambda_DBR = split_str{2};
    lambda_DBR = str2num(lambda_DBR);
    if static_lambda == true
        n_vals = split_str{3};
        n_vals = str2num(n_vals);
    end
    number_of_unit_cells = split_str{4};
    number_of_unit_cells = str2num(number_of_unit_cells);
    %compute t_vals based on lambda_DBR, n_vals
    t_vals = [lambda_DBR/(4*real(n_vals(1))),lambda_DBR/(4*real(n_vals(2)))];

elseif strcmp(str_in(1),'A') %Arbitrary Layer******************************
    stack_type = 'A';
    t_vals = split_str{2};
    t_vals = str2num(t_vals);
    if static_lambda == true
        n_vals = split_str{3};
        n_vals = str2num(n_vals);
    end
    if length(n_vals) ~= length(t_vals)
        error('Please make the number of n values the same as the number of t values!')
    end
    number_of_unit_cells = split_str{4};
    number_of_unit_cells = str2num(number_of_unit_cells);
else
    error('Please check that the stack variable has the proper format! (Incorrect identifier)');
end


end

